Bug 501241 - RFE: Alsa-driver update to at least 1.0.18 for F10 - WAS: Headphone doesn't mute Speakers on Dell Studio 17
RFE: Alsa-driver update to at least 1.0.18 for F10 - WAS: Headphone doesn't m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 04:21 EDT by Thomas Janssen
Modified: 2009-11-19 08:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 08:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of: alsa-info.sh --no-upload (61.19 KB, text/plain)
2009-05-18 04:25 EDT, Thomas Janssen
no flags Details
Output of: cat /proc/asound/card0/codec#0 (9.43 KB, application/octet-stream)
2009-06-19 11:15 EDT, Thomas Janssen
no flags Details
Output of: cat /proc/asound/card0/codec#0 AFTER i replugged the headphones. (9.43 KB, application/octet-stream)
2009-06-19 11:17 EDT, Thomas Janssen
no flags Details

  None (edit)
Description Thomas Janssen 2009-05-18 04:21:58 EDT
Description of problem:
Dell Studio 17 Laptop has a feature with two headphone output jacks on the side.
The rear-most of the two side headphone operates simultaneous with the
speakers.  The front-most of the two side headphones does not work at all (ie
sound never comes out of the front-most side headphone jack).

With sound playing, when a headphone is plugged in the rear of the two jacks,
the headphone works, but the integrated speaker sound on the laptop is not
muted.  But it should be muted.

When the headphone is moved to the more front of the two jacks, that headphone
does not work in the front jack, and also the integrated speaker sound is then
muted (and hence one has NO sound).

Version-Release number of selected component (if applicable):
alsa-lib-1.0.20-1.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
bluez-alsa-4.30-2.fc10.x86_64
alsa-lib-1.0.20-1.fc10.x86_64
alsa-lib-devel-1.0.20-1.fc10.x86_64
alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64
alsa-utils-1.0.20-2.fc10.x86_64

How reproducible:
Plug in Headphone to the mentioned jacks.
  
Actual results:
Headphone and speaker both on or no audio at all.

Expected results:
Plug the headphone in and the speakers get muted.

Additional info:
For a test case i added a /etc/modprobe.conf to my system with one line in it:

options snd_hda_intel  model=dell-m6

If you boot now with the headphones plugged into the rear of the two headphone slots, the speakers are muted and sound is on the headphones. Expected behaviour.

And now to the interesting part. If you unplug the headphone and replug it, there is no sound at all. Means speakers and headphone muted. You cant get it back to work as nearly except, just with a reboot. But you have to think about to plug the headphones in before the snd-hda-intel gets loaded.

Takashi Iwai seems to fixed it upstream according to this bug: https://bugzilla.novell.com/show_bug.cgi?id=446025 in November 2008. Well, looks like something is still missing in Fedora.

I will post some attachments.
Comment 1 Thomas Janssen 2009-05-18 04:25:32 EDT
Created attachment 344394 [details]
Output of: alsa-info.sh --no-upload
Comment 2 Thomas Janssen 2009-06-19 09:26:41 EDT
lshal output if it helps anything.

udi = '/org/freedesktop/Hal/devices/pci_1002_aa20'
  info.linux.driver = 'HDA Intel'  (string)       
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2a41'  (string)
  info.product = 'RV635 Audio device [Radeon HD 3600 Series]'  (string)
  info.subsystem = 'pci'  (string)                                     
  info.udi = '/org/freedesktop/Hal/devices/pci_1002_aa20'  (string)    
  info.vendor = 'ATI Technologies Inc'  (string)                       
  linux.hotplug_type = 2  (0x2)  (int)                                 
  linux.subsystem = 'pci'  (string)                                    
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1'  (string)
  pci.device_class = 4  (0x4)  (int)                                              
  pci.device_protocol = 0  (0x0)  (int)                                           
  pci.device_subclass = 3  (0x3)  (int)                                           
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1'  (string)
  pci.product = 'RV635 Audio device [Radeon HD 3600 Series]'  (string)                
  pci.product_id = 43552  (0xaa20)  (int)                                             
  pci.subsys_product_id = 672  (0x2a0)  (int)                                         
  pci.subsys_vendor = 'Dell'  (string)                                                
  pci.subsys_vendor_id = 4136  (0x1028)  (int)                                        
  pci.vendor = 'ATI Technologies Inc'  (string)                                       
  pci.vendor_id = 4098  (0x1002)  (int)                                               



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Thomas Janssen 2009-06-19 11:14:27 EDT
A cat /proc/asound/card0/codec#0 diff between original boot setup (with headphones plugged trough boot time and after i unplugged and plugged the headphones back in is:

14c14
<   IO[0]: enable=1, dir=1, wake=0, sticky=0, data=1
---
>   IO[0]: enable=1, dir=1, wake=0, sticky=0, data=0


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Thomas Janssen 2009-06-19 11:15:58 EDT
Created attachment 348674 [details]
Output of: cat /proc/asound/card0/codec#0
Comment 5 Thomas Janssen 2009-06-19 11:17:11 EDT
Created attachment 348675 [details]
Output of: cat /proc/asound/card0/codec#0  AFTER i replugged the headphones.
Comment 6 Thomas Janssen 2009-06-28 11:50:39 EDT
Jaroslav Kysela what more info do you need?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Thomas Janssen 2009-07-10 04:50:30 EDT
Advanced Linux Sound Architecture Driver Version 1.0.17.
F10 x86_64

No wonder..

Current alsa-driver 1.0.20
F11     alsa-driver 1.0.18a
F10     alsa-driver 1.0.17

Cutting edge.. *sigh*

Sorry if i vent here, but a simple "i dont care" or "look at: cat /proc/asound/version" at least some response would have been nice. I'm not a Sound-pro, but what i like is things working. Thats why i spend a lot of time in IRC #fedora and help others to get things to work.

I guess a RFE to get the alsa-driver a bit more in the direction cutting edge, will get the same attention.

We will see.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2009-11-18 06:58:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.